#!/usr/bin/env python
"""
CHURCH CALENDAR EVENTS LIST
  Wednesday to Sunday have 5 weeks
  Monday and Tuesday have 6 weeks
  category must match the ones in WordPress

"""
from calendar import SUNDAY, MONDAY, TUESDAY, WEDNESDAY, THURSDAY, FRIDAY, SATURDAY

YEAR: int = 2025


EVENT_LIST = (  #                                       -------------   ----------------
    # day        weeks                start    end      venue           category             name                                description
    (SUNDAY,     [1               ],  10, 00,  12, 00,  "Main Campus",  "Sunday Service",    "Sunday Service 10:00am",           "Prayer Room open from 8:30 AM to 9:30 AM. Worship Service starts at 10:00 AM. First Sunday of the month is Missions Sunday"),
    (SUNDAY,     [2               ],  10, 00,  12, 00,  "Main Campus",  "Sunday Service",    "Sunday Service 10:00am",           "Prayer Room open from 8:30 AM to 9:30 AM. Worship Service starts at 10:00 AM. Second Sunday of the month is Baptism Sunday"),
    (SUNDAY,     [3               ],  10, 00,  12, 00,  "Main Campus",  "Sunday Service",    "Sunday Service 10:00am",           "Prayer Room open from 8:30 AM to 9:30 AM. Worship Service starts at 10:00 AM. Third Sunday of the month is Communion Sunday"),
    (SUNDAY,     [4               ],  10, 00,  12, 00,  "Main Campus",  "Sunday Service",    "Sunday Service 10:00am",           "Prayer Room open from 8:30 AM to 9:30 AM. Worship Service starts at 10:00 AM. Fourth Sunday of the month is Coins for Kids Sunday"),
    (SUNDAY,     [5               ],  10, 00,  12, 00,  "Main Campus",  "Sunday Service",    "Sunday Service 10:00am",           "Prayer Room open from 8:30 AM to 9:30 AM. Worship Service starts at 10:00 AM. Fifth Sunday of the month is Potluck Sunday"),
    (MONDAY,     [2               ],  18, 00,  19, 30,  "Main Campus",  "Woman's Meeting",   "Ladies Night Out 6:00pm",          "Come join us for a time of fun and fellowship\n\nBabysitting will be provided."),
    (TUESDAY,    [1, 2, 3, 4, 5, 6],  18, 00,  20, 00,  "Main Campus",  "Grief Share",       "Grief Share 6:00pm",               ""),
    (WEDNESDAY,  [1, 2, 3, 4, 5   ],   7, 00,   8, 00,  "SOCO",         "Youth Group",       "Youth Bible Study 7:00am",         "Coffe and bible study for high school age youth"),
    (WEDNESDAY,  [2               ],   8, 00,  12, 00,  "Main Campus",  "Connecting Point",  "Connecting Point 8:00am",          ""),
    (WEDNESDAY,  [3               ],  11, 30,  14, 00,  "Main Campus",  "Silver Seekers",    "Silver Seekers 11:30am",           "For those 60 and up. Join us for some food and some exciting events and fellowship."),
    (WEDNESDAY,  [1, 2, 3, 4, 5   ],  18, 00,  20, 00,  "Main Campus",  "Mid Week Service",  "Mid Week Service 6:00pm",          ""),
    (THURSDAY,   [1, 2, 3, 4, 5   ],  18, 00,  20, 00,  "Main Campus",  "Woman's Meeting",   "Woman's Meeting 10:00am",          "Woman 2 Woman Bible Study"),
    (FRIDAY,     [1, 2, 3, 4      ],  18, 30,  20, 30,  "Main Campus",  "Men's Meeting",     "For Men Only 6:30pm",              "Men's Bible Study"),
    (FRIDAY,     [5               ],  19, 00,  21, 00,  "Main Campus",  "Movie Night",       "Family Movie Night 7:00pm",        "To Be Announced"),
    (SATURDAY,   [2               ],   8, 00,  10, 00,  "Main Campus",  "Men's Meeting",     "Men's Breakfast 8:00am",           ""),
    # (--------, [-               ],  18, 00,  20, 00,  "Main Campus",  "Youth Group",       "South County Youth Group 6:00pm",  ""),
)
